/*
Copyright © 2025 Jake jake.young.dev@gmail.com
*/
package cmd

import (
	"code.jakeyoungdev.com/jake/mctl/database"
	"github.com/spf13/cobra"
)

var initCmd = &cobra.Command{
	Use:          "init",
	Example:      "mctl init",
	SilenceUsage: true,
	// Short:        "Login to server and send commands",
	// Long: `Login to default server and enter command loop. The default server
	// 		is used unless the server flag is set`,
	Run: func(cmd *cobra.Command, args []string) {
		db, err := database.New()
		cobra.CheckErr(err)
		defer db.Close()

		err = db.Init()
		cobra.CheckErr(err)
	},
}

func init() {
	rootCmd.AddCommand(loginCmd)
}
